## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global module_name cangjie
%global forgeurl https://gitlab.freedesktop.org/cangjie/pycangjie
%global archiveext tar.xz

Name:             python3-%{module_name}
Summary:          Python bindings to libcangjie
Version:          1.5.0
Release:          %{autorelease}
%forgemeta
License:          LGPL-3.0-only
URL:              https://gitlab.freedesktop.org/cangjie/pycangjie
Source0:          %{forgesource}

%forgemeta

BuildRequires:    gcc
BuildRequires:    meson
BuildRequires:    python3dist(cython)
BuildRequires:    python3-devel
BuildRequires:    libcangjie-devel >= 1.4.0


%description
Python bindings to libcangjie, the library implementing Cangjie and Quick
input methods.


%prep
%autosetup -n pycangjie-%{version}


%build
%meson
%meson_build


%install
%meson_install

find %{buildroot} -name '*.la' -exec rm -f '{}' \;


%check
export CANGJIE_DB=/usr/share/libcangjie/cangjie.db
%meson_test


%files
%license COPYING
%doc README.md docs/*.md
%{python3_sitearch}/%{module_name}


%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.5.0-8
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Nov 23 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.5.0-6
- Bump autorelease...

* Sat Nov 23 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.5.0-5
- Bump autorelease...

* Sat Nov 23 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.5.0-4
- New release 1.5 🎉

* Mon Sep 09 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.5.0-2
- New release 1.5.0

* Mon Sep 09 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.5.0-1
- New upstream release: 1.5.0

* Sat Jul 27 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-15
- Dummy commit to try and trick autorelease

* Fri Jul 26 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-14
- Stop building with code coverage enabled

* Tue Jul 23 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-13
- Empty commit to trick autorelease

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-11
- Revert "Just a dumbass attempt at tricking autorelease and chaing-
  building"

* Mon Jul 08 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-10
- Just a dumbass attempt at tricking autorelease and chaing-building

* Mon Jul 08 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-9
- Properly declare the license file

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-8
- Fix the build with the right tarball format and forgemeta

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-7
- The pycangjie tests require the libcangjie data

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-6
- Explictly add gcc as a BuildRequires

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-5
- Upload the new release

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-4
- Remove unused bogus call to make

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-3
- We moved upstream away from github

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-2
- Remove old patch

* Sun Jul 07 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4-1
- New upstream release

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.3-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 13 2023 Karolina Surma <ksurma@redhat.com> - 1.3-3
- Allow to build with Cython 3.0.5

* Thu Jul 20 2023 Sandro <devel@penguinpee.nl> - 1.3-2
- Use Cython compat package

* Wed Jul 19 2023 Sandro <devel@penguinpee.nl> - 1.3-1
- Update to 1.3
- Fix use of distutils (RHBZ#2220578) (RHBZ#2154948)
- Use %%autorelease and %%autosetup
- Migrate to SPDX license tag
- Drop AUTHORS and include path (merged upstream)

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.2-31
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.2-28
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2-25
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2-22
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2-20
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2-19
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.2-15
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2-10
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jun 19 2015 Mathieu Bridon <bochecha@daitauha.fr> - 1.2-6
- Use upstream patch to fix the FTBFS.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Apr 25 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2-1
- New upstream 1.2 release.

* Sun Feb 02 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 1.1-1
- New upstream 1.1 release.

* Tue Dec 24 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.0-1
- New upstream 1.0 release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 20 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1-1
- Initial package for Fedora.

## END: Generated by rpmautospec
